#include <iostream>
#include <vector>

int main() {
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(nullptr);
	int n;
	std::cin >> n;
	std::vector<int> w(n);
	for (int i = 0; i < n; i++) {
		std::cin >> w[i];
		if (i % 2)
			w[i] = -w[i];
	}
	long long min = 0;
	long long max = 0;
	for (int i = 0; i < n; i++) {
		long long sum = 0;
		for (int j = i; j < n; j++) {
			sum += w[j];
			if (sum < min)
				min = sum;
			if (sum > max)
				max = sum;
		}
	}
	std::cout << max << '\n' << -min << '\n';
	return 0;
}
